summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Paul Wisehart2010-05-11 19:45:20 +0200
committer Robby Workman2010-05-11 19:45:20 +0200
commit1602bfac9c8dff57c70b2da97619ddc6b9500bff (patch)
treed7b7115ff2a472a6763b8e06c87881ff080291ab
parent70977bd947b134faf8ce2c3d7c2aad8d1bb09838 (diff)
downloadslackbuilds-1602bfac9c8dff57c70b2da97619ddc6b9500bff.tar.gz
libraries/libsigcxx: Updated for version 2.0.18
-rw-r--r--libraries/libsigcxx/README1
-rw-r--r--libraries/libsigcxx/libsigcxx.SlackBuild21
-rw-r--r--libraries/libsigcxx/libsigcxx.info6
-rw-r--r--libraries/libsigcxx/slack-desc14
4 files changed, 27 insertions, 15 deletions
diff --git a/libraries/libsigcxx/README b/libraries/libsigcxx/README
index 85ea294dd3..0eba59aee9 100644
--- a/libraries/libsigcxx/README
+++ b/libraries/libsigcxx/README
@@ -7,4 +7,3 @@ It also contains adaptor classes for connection of dissimilar
callbacks and has an ease of use unmatched by other C++ callback
libraries. Libsigc++ is licensed under the GNU Library General
Public License, LGPL.
-
diff --git a/libraries/libsigcxx/libsigcxx.SlackBuild b/libraries/libsigcxx/libsigcxx.SlackBuild
index 5b996b352c..37fce13643 100644
--- a/libraries/libsigcxx/libsigcxx.SlackBuild
+++ b/libraries/libsigcxx/libsigcxx.SlackBuild
@@ -22,30 +22,35 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Modified by the SlackBuilds.org project
+# Updated by Andrew Brouwers, abrouwers@gmail.com
PRGNAM=libsigcxx
PKGNAME=libsigc++
-VERSION=2.0.17
+VERSION=2.0.18
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PKGNAME
OUTPUT=${OUTPUT:-/tmp}
+DOCS="AUTHORS COPYING ChangeLog INSTALL NEWS README TODO examples"
+
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
rm -rf $PKGNAME-$VERSION
-tar -xvzf $CWD/$PKGNAME-$VERSION.tar.gz || exit 1
+tar xvf $CWD/$PKGNAME-$VERSION.tar.bz2 || exit 1
cd $PKGNAME-$VERSION || exit 1
chown -R root:root .
chmod -R a-s,u+rw,go-w+r .
@@ -64,11 +69,11 @@ make install-strip DESTDIR=$PKG || exit 1
mkdir -p $PKG/usr/doc
mv $PKG/usr/share/doc/libsigc-2.0/docs $PKG/usr/doc/$PKGNAME-$VERSION
-cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README TODO examples \
- $PKG/usr/doc/$PKGNAME-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PKGNAME-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PKGNAME-$VERSION/$PRGNAM.SlackBuild
-# Remove API reference docs - no need for these
-rm -rf $PKG/usr/doc/$PKGNAME-$VERSION/reference
+rm -rf $PKG/usr/share # Remove empty directory
+rm -rf $PKG/usr/doc/$PKGNAME-$VERSION/images/ # Remove images
+rm -rf $PKG/usr/doc/$PKGNAME-$VERSION/reference # Remove API docs
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/libraries/libsigcxx/libsigcxx.info b/libraries/libsigcxx/libsigcxx.info
index 97deeff32c..4e0debe6b3 100644
--- a/libraries/libsigcxx/libsigcxx.info
+++ b/libraries/libsigcxx/libsigcxx.info
@@ -1,8 +1,8 @@
PRGNAM="libsigcxx"
-VERSION="2.0.17"
+VERSION="2.0.18"
HOMEPAGE="http://libsigc.sourceforge.net/"
-DOWNLOAD="http://ftp.gnome.org/pub/GNOME/sources/libsigc++/2.0/libsigc++-2.0.17.tar.gz"
-MD5SUM="556c5f66c58ef02906e22ab199c35222"
+DOWNLOAD="http://ftp.gnome.org/pub/GNOME/sources/libsigc++/2.0/libsigc++-2.0.18.tar.bz2"
+MD5SUM="ddebf5aafc8525d10366a8724abc9f28"
MAINTAINER="paul wisehart"
EMAIL="wise@lupulin.net"
APPROVED="rworkman"
diff --git a/libraries/libsigcxx/slack-desc b/libraries/libsigcxx/slack-desc
index 0208c2a8ca..26f2cd9d53 100644
--- a/libraries/libsigcxx/slack-desc
+++ b/libraries/libsigcxx/slack-desc
@@ -1,7 +1,15 @@
-libsigc++: libsigc++
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler---------------------------------------------------|
+libsigc++: libsigc++ (typesafe callback system for standard C++)
libsigc++:
-libsigc++: libsigc++ implements a typesafe callback system for standard C++. It
-libsigc++: allows you to define signals and to connect those signals to any
+libsigc++: libsigc++ implements a typesafe callback system for standard C++.
+libsigc++: It allows you to define signals and to connect those signals to any
libsigc++: callback function, either global or a member function, regardless
libsigc++: of whether it is static or virtual.
libsigc++: It also contains adaptor classes for connection of dissimilar